// grid3vw.cpp : implementation of the CGrid3View class
//

#include "stdafx.h"
#include "grid3.h"

#include "grid3doc.h"
#include "grid3vw.h"
#include "curcell.h"
#include "NWindCus.h"
#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CGrid3View

IMPLEMENT_DYNCREATE(CGrid3View, CGridView)

BEGIN_MESSAGE_MAP(CGrid3View, CGridView)
	//{{AFX_MSG_MAP(CGrid3View)
	ON_WM_RBUTTONDOWN()
	ON_COMMAND(ID_VIEW_OPTIONS, OnViewOptions)
	//}}AFX_MSG_MAP
	// Standard printing commands
	ON_COMMAND(ID_FILE_PRINT, CGridView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, CGridView::OnFilePrintPreview)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CGrid3View construction/destruction

CGrid3View::CGrid3View()
{
	// TODO: add construction code here
}

CGrid3View::~CGrid3View()
{
}

/////////////////////////////////////////////////////////////////////////////
// CGrid3View drawing

void CGrid3View::OnDraw(CDC* pDC)
{
	CGridView::OnDraw(pDC);
	// TODO: add draw code for native data here
}

/////////////////////////////////////////////////////////////////////////////
// CGrid3View printing

BOOL CGrid3View::OnPreparePrinting(CPrintInfo* pInfo)
{
	// default preparation
	return DoPreparePrinting(pInfo);
}

void CGrid3View::OnBeginPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add extra initialization before printing
}

void CGrid3View::OnEndPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add cleanup after printing
}

/////////////////////////////////////////////////////////////////////////////
// CGrid3View diagnostics

#ifdef _DEBUG
void CGrid3View::AssertValid() const
{
	CGridView::AssertValid();
}

void CGrid3View::Dump(CDumpContext& dc) const
{
	CGridView::Dump(dc);
}

CGrid3Doc* CGrid3View::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CGrid3Doc)));
	return (CGrid3Doc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CGrid3View message handlers


void CGrid3View::DrawGridCell(CDC* pDC, DWORD RowColNdx, CRect& DrawRect, CRect& TextRect)
{

	CGridView::DrawGridCell(pDC, RowColNdx, DrawRect, TextRect);
	
    WORD RowNdx = LOWORD(RowColNdx);
    WORD ColNdx = HIWORD(RowColNdx);

    char buf[40];
    wsprintf(buf,"R%d C%d",RowNdx,ColNdx);

    pDC->ExtTextOut(TextRect.left, TextRect.top,
    				ETO_OPAQUE | ETO_CLIPPED,
                    DrawRect, buf, strlen(buf), NULL);
}



void CGrid3View::OnRButtonDown(UINT nFlags, CPoint point)
{
    CCurCell dlg;
    dlg.m_nRow = LOWORD(m_CurrentCell);
    dlg.m_nCol = HIWORD(m_CurrentCell);   
    dlg.m_bScrollToTop = dlg.m_bScrollToLeft = FALSE;
    if (dlg.DoModal() != IDOK)
    	return;
    SetCurCell(dlg.m_nRow, dlg.m_nCol, dlg.m_bScrollToTop, dlg.m_bScrollToLeft);

}
void CGrid3View::OnInitialUpdate()
{
	m_pSet = NULL;
///	m_pSet = GetDocument()->m_pNWCust;
	CGridView::OnInitialUpdate();
//	SetCurCell(1,1);
}
void CGrid3View::OnViewOptions()
{
	SetGridOptions();
}
